Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I'm getting 2 errors:

/usr/bin/ld: cannot find -lboost_thread-mt

/usr/bin/ld: cannot find -lboost_program_options-mt

what is the simplest way for me to install -lboost_thread-mt so that i can finish my install of PsMoveInput please note that i need the -lboost_thread-mt and ive tried installing "all boost" which didn't work Ive installed all the others and even read somewhere that the -lboost_thread-mt isnt available and if thats the case is there a archive i can get it from?

Thank you and sorry for my lack of technical terms.

share|improve this question
1  
What version of Ubuntu, and what version of libboost do you have? Have you tried installing the libboost-thread-dev package specifically? –  steeldriver Aug 15 at 16:31
    
@steeldriver Im trying to do it on 3 different systems. Ubuntu 14.04, Lbuntu and linux mint but i get the same errors and yes i just tried running code sudo apt-get install libboost-thread-dev . and i get this; code Use 'apt-get autoremove' to remove them. 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded. –  cave man Aug 16 at 9:27

1 Answer 1

I experienced the same problem on installing Field3D. It seems that the file name is libboost_thread.so instead of libboost_thread-mt.so. So it is a bug and should be handled by changing the term in the source file.

For field 3D, change buildSupport.py. Search for the -mt and remove. Then Scons runs through.

Also see this question on stackoverflow.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.